Skip to main content
`Ctrl`+`K`

# NEPInitializePackage

This function initializes everything in the `NEP` package. It is called from `PetscDLLibraryRegister_slepcnep()` when using dynamic libraries, and on the first call to `NEPCreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode NEPInitializePackage(void)

## Note

This function never needs to be called by SLEPc users.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEP`, `SlepcInitialize()`, `NEPFinalizePackage()`

## Level

developer

## Location

src/nep/interface/dlregisnep.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages